Subject: [clisp-list] Re: clisp not installing on XP, links broken

From: William Brown <[email-masked]>
Date: Sat Feb 28 16:43:06 2004

Thank you for your speedy reply.  I found the web site below (the new install.bat file) but nothing on the site downloads or links.  Hope the problem is temporary.  I'll keep trying.

William Brown, Ph.D.

>
> I have downloaded Clist 2.32 win 32 onto my HP Pavilion N5425 laptop
> using Windows XP.  However, the program will not install by clicking
> on the install.bat file nor by using Run on the Start menu.

please try
<http://cvs.sourceforge.net/viewcvs.py/*checkout*/clisp/clisp/src/install.bat>
instead.

> Change what strings in src/config.lisp?

*editor*, *load-paths*, *clhs-root-default* and others as you see fit.

> Change them to what?

to whatever better reflects your environment.

> There is only one lisp.exe file and it has a long name
> lisp.exe-0F44C2DE.pf.  It will not start when clicked nor using RUN on
> the Start menu.  Also the lisp.exe file resides in
> c:\windows\prefetch.

you should have downloaded a zip file and un-zipped it into a
directory, something like "c:\gnu\clisp-2.32\".
if winzip or windows, in a miguided attempt to protect you from viruses,
do not let you do that, you will need to download info-zip. (google for it)

-- 
Sam Steingold (http://www.podval.org/~sds) running w2k
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.honestreporting.com>
There are two ways to write error-free programs; only the third one works.